#include "session_manager_ssl.h"

session_manager_ssl::session_manager_ssl(SSL* sfd):session_manager(-1)
{
  this->sfd=sfd;
}

int session_manager_ssl::read_data(char* input, int size){
  return SSL_read(this->sfd, input, size);
}

int session_manager_ssl::write_data(std::string output){
  return SSL_write(this->sfd, output.data(), output.size());
}
